//NewGuideControlPanel.java
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;  
//import maestro.lib.math.*;
//import maestro.lib.graphics.*;


public class NewGuideControlPanel extends Panel{
    //private static final Color bgcolor = Color.lightGray;
    //private static final Color bgcolor = new Color(160,200,200);
     private static final Color bgcolor = new Color(236,236,221);
    Label lab1, lab2;
    Choice ch1, ch2;
    
    public NewGuideControlPanel(){
	super();
	setBackground(bgcolor);
	
	lab1 = new Label("Set: ", Label.RIGHT);
	lab1.setFont(new Font("SanSerif",Font.BOLD,12));
	
	lab2 = new Label("Select: ", Label.RIGHT);
	lab2.setFont(new Font("SanSerif",Font.BOLD,12));
	
	ch1 = new Choice();
	ch1.addItem("Line");
	ch1.addItem("Load/Gener.");
	ch1.addItem("Generator");
	//add(lab1);
	//add(ch1);
	
	ch2 = new Choice();
	ch2.addItem(" Set Antenna Parameters");
	ch2.addItem(" Set Array Parameters");
	ch2.addItem(" Scan Fields and Power");
	ch2.addItem(" Plot Current Distribution");
	ch2.addItem(" Plot Field Distribution");
	ch2.addItem(" Instructions");
        add(lab2);
	add(ch2);
    }
    
    public void paint(Graphics g){
	g.setColor(bgcolor.darker());
	g.fillRect(0,getSize().height-2,getSize().width,2);
	g.fillRect(getSize().width-2,0,2,getSize().height);
	g.setColor(bgcolor.brighter());
	g.fillRect(0,0,2,getSize().height-1);
	g.fillRect(0,0,getSize().width-2,2);
    }
    
}